Remove now obsolete postgres95 port

Clean up newly imported PostgreSQL port:
	- variable reorganization and cleanup
	- remove NOMANCOMPRESS conditional in favour of MAN?=
	- prevent import of installing user's $PATH into ${PREFIX}/pgsql/.profile
	- change package name to remove 'v'
	- remove some of the latent bugs left over from the postgres95 port.
This commit is contained in:
James FitzGibbon
1997-04-02 18:18:04 +00:00
parent a4ce510218
commit 733a9d1466
84 changed files with 0 additions and 4186 deletions

View File

@@ -1,50 +0,0 @@
#!/usr/bin/perl
#
eval '(exit $?0)' && eval 'exec /usr/bin/perl -S $0 ${1+"$@"}'
& eval 'exec /usr/bin/perl -S $0 $argv:q'
if 0;
if( $> ) {
print "\nYou must be root to run this step!\n\n";
exit 1;
}
if( getpwnam( "postgres" ) ) {
( $null, $null, $pgUID ) = getpwnam( "postgres" );
} else {
$pgUID = 70;
while( getpwuid( $pgUID ) ) {
$pgUID++;
}
}
if( getgrnam( "postgres" ) ) {
( $null, $null, $pgGID ) = getgrnam( "postgres" );
} else {
$pgGID = 70;
while( getgrgid( $pgGID ) ) {
$pgGID++;
}
&append_file( "/etc/group", "postgres:*:$pgGID:" );
}
print "postgres user using uid $pgUID\n";
print "postgres user using gid $pgGID\n";
system( "/usr/bin/chpass -a \"postgres:*:$pgUID:$pgGID::0:0:Postgres95 pseudo-user:$ENV{'PREFIX'}/postgres95:/bin/sh\"" );
sub append_file {
local($file,@list) = @_;
local($LOCK_EX) = 2;
local($LOCK_NB) = 4;
local($LOCK_UN) = 8;
open(F, ">> $file") || die "$file: $!\n";
while( ! flock( F, $LOCK_EX | $LOCK_NB ) ) {
exit 1;
}
print F join( "\n", @list) . "\n";
close F;
flock( F, $LOCK_UN );
}